// GBase.h: interface for the GBase class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_GBASE_H__D9C7A93F_1704_44DB_B0F5_87B64DE317CF__INCLUDED_)
#define AFX_GBASE_H__D9C7A93F_1704_44DB_B0F5_87B64DE317CF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define MENU_DEFAULT 0
#define MENU_MAIN    1
#define MENU_GAME    2
#define MENU_SETTING 3
#define MENU_TOPLIST 4
#define MENU_CREDITS 5
#define MENU_END     6
#define MENU_TOPNAME 7

class CMainFrame;

class GBase  
{
public:
	GBase();
	virtual ~GBase();

	virtual void Init(CMainFrame *parent);

	virtual int  OnKey(int nChar) {	return MENU_DEFAULT; };
	virtual void Draw() {};
	virtual void Move() {};

protected:
	CMainFrame *m_pParent;
};

#endif // !defined(AFX_GBASE_H__D9C7A93F_1704_44DB_B0F5_87B64DE317CF__INCLUDED_)
