// GMMain.cpp: implementation of the GMMain class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "D3DXApp.h"
#include "GMMain.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

GMMain::GMMain()
{
	m_selected = 2;
}

GMMain::~GMMain()
{

}

int GMMain::OnKey(int nChar)
{
	if (nChar == 40) if (++m_selected > 6) m_selected = 2;
	if (nChar == 38) if (--m_selected < 2) m_selected = 6;
	if (nChar == 27) return MENU_END;
	if (nChar == 13) return m_selected;

	return MENU_DEFAULT;
}

void GMMain::Draw()
{
	for (int i = 0; i < 5; i++) {
		if (i+2 == m_selected)
			d3dx.Draw(m_bText[i], 400, 300+i*50, 0, 1, 1, 255);
		else
			d3dx.Draw(m_bText[i], 400, 300+i*50, 0, 1.25, 1, 128);
	}

}

void GMMain::Init(int font)
{
	m_bText[0] = d3dx.CreateVirualTexture(font,  212,   92,   86, 30);
	m_bText[1] = d3dx.CreateVirualTexture(font,  290,    0,  222, 40);
	m_bText[2] = d3dx.CreateVirualTexture(font,    0,    0,  288, 40);
	m_bText[3] = d3dx.CreateVirualTexture(font,    3,   42,  156, 40);
	m_bText[4] = d3dx.CreateVirualTexture(font,  311,   53,  136, 30);
}
