// GMenu.h: interface for the GMenu class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_GMENU_H__EB6F15CC_A8B6_4B8A_8A6D_3319A5A5A819__INCLUDED_)
#define AFX_GMENU_H__EB6F15CC_A8B6_4B8A_8A6D_3319A5A5A819__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "GBase.h"
#include "d3dfont.h"	// Added by ClassView
#include "GMMain.h"
#include "GMGame.h"
#include "GMCredits.h"
#include "GMSetting.h"
#include "GMToplist.h"
#include "GMTopName.h"


class GMenu : public GBase  
{
public:
	void Killed(int killed);
	virtual int  OnKey(int nChar);
	virtual void Init(CMainFrame *parent);
	virtual void Draw();
	GMenu();
	virtual ~GMenu();

private:
	int       m_bGround;
	int		 m_bPismo;
	CD3DFont *m_font;
	CD3DFont *m_fontS;

	GBase    *m_actual;

	GMMain    m_Mmain;
	GMGame    m_Mgame;
	GMCredits m_Mcredits;
	GMSetting m_Msetting;
	GMToplist m_Mtoplist;
	GMTopName m_Mtopname;

	int       m_killed;
};

#endif // !defined(AFX_GMENU_H__EB6F15CC_A8B6_4B8A_8A6D_3319A5A5A819__INCLUDED_)
