// GToplist.cpp: implementation of the GToplist class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "D3DXApp.h"
#include "GToplist.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif


GToplist toplist;
//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

GToplist::GToplist()
{

}

GToplist::~GToplist()
{

}

void GToplist::LoadList()
{
	m_statecny[0].killed = AfxGetApp()->GetProfileInt("7 statecnych", "1K", 2000);
	m_statecny[1].killed = AfxGetApp()->GetProfileInt("7 statecnych", "2K", 1950);
	m_statecny[2].killed = AfxGetApp()->GetProfileInt("7 statecnych", "3K", 1900);
	m_statecny[3].killed = AfxGetApp()->GetProfileInt("7 statecnych", "4K", 1800);
	m_statecny[4].killed = AfxGetApp()->GetProfileInt("7 statecnych", "5K", 1700);
	m_statecny[5].killed = AfxGetApp()->GetProfileInt("7 statecnych", "6K", 1600);
	m_statecny[6].killed = AfxGetApp()->GetProfileInt("7 statecnych", "7K", 1500);

	m_statecny[0].name = AfxGetApp()->GetProfileString("7 statecnych", "1N", "Berny");
	m_statecny[1].name = AfxGetApp()->GetProfileString("7 statecnych", "2N", "Zdeny");
	m_statecny[2].name = AfxGetApp()->GetProfileString("7 statecnych", "3N", "Hanz");
	m_statecny[3].name = AfxGetApp()->GetProfileString("7 statecnych", "4N", "Lunix");
	m_statecny[4].name = AfxGetApp()->GetProfileString("7 statecnych", "5N", "Konop");
	m_statecny[5].name = AfxGetApp()->GetProfileString("7 statecnych", "6N", "Hippo");
	m_statecny[6].name = AfxGetApp()->GetProfileString("7 statecnych", "7N", "Hippo");
}

void GToplist::SaveList()
{
	CString s;
	for (int i = 0; i < 7; i++) {
		s.Format("%dK", i+1);
		AfxGetApp()->WriteProfileInt("7 statecnych", s, m_statecny[i].killed);
		s.Format("%dN", i+1);
		AfxGetApp()->WriteProfileString("7 statecnych", s, m_statecny[i].name);
	}
}

bool GToplist::AddToList(int killed)
{
	return killed > m_statecny[6].killed;
}

void GToplist::AddToList(int killed, CString name)
{
	if (!AddToList(killed)) return;

	int i = 6;

	while (i > 0 && m_statecny[i-1].killed < killed) {
		m_statecny[i] = m_statecny[i-1];
		i--;
	}

	m_statecny[i].name = name;
	m_statecny[i].killed = killed;

	SaveList();
}
