// GUSA.h: interface for the GUSA class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_GUSA_H__883AA3BA_E06B_46EF_9EBE_CB9303548FBD__INCLUDED_)
#define AFX_GUSA_H__883AA3BA_E06B_46EF_9EBE_CB9303548FBD__INCLUDED_

#include "GShoot.h"

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define SZ_START 0.50
#define SZ_DIFF  0.01

#define SZ_A2    0.85

class GUSA  
{
public:
	bool TestHit(GShoot *shoot);
	bool Move(bool smrti);
	void Activate(double x, double y);
	void Draw(bool houpani);
	void Init(int bGame, int *bUsaDead);
	GUSA();
	virtual ~GUSA();

	bool   m_active;
	bool   m_alive;
	
	double m_x;
	double m_y;
	double m_speed;
	int    m_ground_y;   // vyska, do ktere vojak dopadne

	double m_angle; // uhel pro houpani
	double m_dangle; // zmena houpani

	int    m_bUsa;
	int    *m_bUsaDead;


	int    m_anim;
	int    m_animMAX;
	int    m_pict; // obrazek vojaka (mrtveho)

	double m_size; // zvetsovani;

	CRect  rect;
};

#endif // !defined(AFX_GUSA_H__883AA3BA_E06B_46EF_9EBE_CB9303548FBD__INCLUDED_)
